KURLCompletion class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KURLCompletion Class Reference

This class does completion of URLs including user directories (~user) and environment variables. Completion of a single URL. More...

`#include <kurlcompletion.h>`

Inheritance diagram for KURLCompletion:

[legend]
Collaboration diagram for KURLCompletion:

[legend]
List of all members.

## Public Types
enum | Mode { ExeCompletion = 1, FileCompletion, DirCompletion }
| Determines how completion is done. More...
## Public Member Functions
| KURLCompletion ()
| Constructs a KURLCompletion object in FileCompletion mode.
| KURLCompletion (Mode)
| This overloaded constructor allows you to set the Mode to ExeCompletion or FileCompletion without using setMode.
virtual | ~KURLCompletion ()
| Destructs the KURLCompletion object.
virtual QString | makeCompletion (const QString &)
| Finds completions to the given text.
virtual void | setDir (const QString &dir)
| Sets the current directory (used as base for completion) Default = $HOME.
virtual QString | dir () const
| Returns the current directory.
virtual bool | isRunning () const
| Returns true if asyncronous completion is in progress.
virtual void | stop ()
| Stops asyncronous completion.
virtual Mode | mode () const
| Returns the completion mode: exe or file completion (default FileCompletion).
virtual void | setMode (Mode mode)
| Changes the completion mode: exe or file completion.
virtual bool | replaceEnv () const
| Returns whether environment variables are completed and whether they are replaced internally while finding completions.
virtual void | setReplaceEnv (bool replace)
| Enables/disables completion and replacement (internally) of environment variables in URLs.
virtual bool | replaceHome () const
| Returns whether ~username is completed and whether ~username is replaced internally with the user's home directory while finding completions.
virtual void | setReplaceHome (bool replace)
| Enables/disables completion of ~username and replacement (internally) of ~username with the user's home directory.
QString | replacedPath (const QString &text)
| Replaces username and/or environment variables, depending on the current settings and returns the filtered url.
## Protected Slots
void | slotEntries (KIO::Job *, const KIO::UDSEntryList &)
void | slotIOFinished (KIO::Job *)
## Protected Member Functions
void | postProcessMatch (QString *match) const
void | postProcessMatches (QStringList *matches) const
void | postProcessMatches (KCompletionMatches *matches) const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class does completion of URLs including user directories (~user) and environment variables. Completion of a single URL.

Remote URLs are passed to KIO.

Author:
  David Smith <dsmith@algonet.se>

Version:
  Id
    kurlcompletion.h,v 1.28 2002/06/19 17:46:01 domi Exp

Definition at line 42 of file kurlcompletion.h.

## Member Enumeration Documentation

enum KURLCompletion::Mode

| Determines how completion is done. ExeCompletion - executables in $PATH or with full path. FileCompletion - all files with full path or in dir(), URLs are listed using KIO. DirCompletion - as FileCompletion but only returns directories. Definition at line 54 of file kurlcompletion.h. Referenced by KShellCompletion::makeCompletion(), and mode().

## Constructor & Destructor Documentation

KURLCompletion::KURLCompletion | ( |  | ) |

| Constructs a KURLCompletion object in FileCompletion mode. Definition at line 475 of file kurlcompletion.cpp.

KURLCompletion::KURLCompletion | ( | Mode |  | ) |

| This overloaded constructor allows you to set the Mode to ExeCompletion or FileCompletion without using setMode. Default is FileCompletion Definition at line 481 of file kurlcompletion.cpp. References mode().

KURLCompletion::~KURLCompletion | ( |  | ) | `[virtual]`

| Destructs the KURLCompletion object. Definition at line 486 of file kurlcompletion.cpp. References stop().

## Member Function Documentation

QString KURLCompletion::makeCompletion | ( | const QString & |  | ) | `[virtual]`

| Finds completions to the given text. Remote URLs are listed with KIO. For performance reasons, local files are listed with KIO only if KURLCOMPLETION_LOCAL_KIO is set. The completion is done asyncronously if KIO is used. Returns the first match for user, environment, and local dir completion and QString::null for asyncronous completion (KIO). Reimplemented from KCompletion. Reimplemented in KShellCompletion. Definition at line 560 of file kurlcompletion.cpp. References KCompletion::match(), and stop(). Referenced by KShellCompletion::makeCompletion().

void KURLCompletion::setDir | ( | const QString & | dir | ) | `[virtual]`

| Sets the current directory (used as base for completion) Default = $HOME. Definition at line 515 of file kurlcompletion.cpp.

QString KURLCompletion::dir | ( |  | ) | const`[virtual]`

| Returns the current directory. Definition at line 520 of file kurlcompletion.cpp.

bool KURLCompletion::isRunning | ( |  | ) | const`[virtual]`

| Returns true if asyncronous completion is in progress. Definition at line 639 of file kurlcompletion.cpp.

void KURLCompletion::stop | ( |  | ) | `[virtual]`

| Stops asyncronous completion. Definition at line 650 of file kurlcompletion.cpp. Referenced by makeCompletion(), and ~KURLCompletion().

KURLCompletion::Mode KURLCompletion::mode | ( |  | ) | const`[virtual]`

| Returns the completion mode: exe or file completion (default FileCompletion). Definition at line 525 of file kurlcompletion.cpp. References Mode. Referenced by KURLCompletion(), and KShellCompletion::makeCompletion().

void KURLCompletion::setMode | ( | Mode | mode | ) | `[virtual]`

| Changes the completion mode: exe or file completion. Definition at line 530 of file kurlcompletion.cpp. Referenced by KDirSelectDialog::KDirSelectDialog(), KShellCompletion::makeCompletion(), and KURLRequester::setMode().

bool KURLCompletion::replaceEnv | ( |  | ) | const`[virtual]`

| Returns whether environment variables are completed and whether they are replaced internally while finding completions. Default is enabled. Definition at line 535 of file kurlcompletion.cpp.

void KURLCompletion::setReplaceEnv | ( | bool | replace | ) | `[virtual]`

| Enables/disables completion and replacement (internally) of environment variables in URLs. Default is enabled. Definition at line 540 of file kurlcompletion.cpp. References KStdAccel::replace().

bool KURLCompletion::replaceHome | ( |  | ) | const`[virtual]`

| Returns whether ~username is completed and whether ~username is replaced internally with the user's home directory while finding completions. Default is enabled. Definition at line 545 of file kurlcompletion.cpp.

void KURLCompletion::setReplaceHome | ( | bool | replace | ) | `[virtual]`

| Enables/disables completion of ~username and replacement (internally) of ~username with the user's home directory. Default is enabled. Definition at line 550 of file kurlcompletion.cpp. References KStdAccel::replace().

QString KURLCompletion::replacedPath | ( | const QString & | text | ) |

| Replaces username and/or environment variables, depending on the current settings and returns the filtered url. Only works with local files, i.e. returns back the original string for non-local urls. Definition at line 1342 of file kurlcompletion.cpp.

The documentation for this class was generated from the following files:

- kurlcompletion.h
- kurlcompletion.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:24:27 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001